# Introducing Simpol Theme

Simpol is a minimal, clean, and open source Jekyll theme for Github Pages.

>### Focus on the writing, the content.

![Screenshot](https://user-images.githubusercontent.com/178448/31042735-75abfb14-a563-11e7-9a32-d8f76384c90f.jpg)

- [Installation](#installation)
- [Current features](#current-features)
- [Credits](#credits)
- [Resources](#resources)

## Installation

### As a Fork

1. [Fork the repo](https://github.com/scottmathson/simpol-theme#fork-destination-box)
2. Clone down the repo with `$ git clone git@github.com:username/reponame.git`
3. Install bundler with `$ gem install bundler`
4. Install gems with `$ bundle install`
5. Run Jekyll with `$ bundle exec jekyll serve`
6. Have fun!

### As a Jekyll theme gem

[![Gem Version](https://badge.fury.io/rb/simpol-jekyll-theme.svg)](https://badge.fury.io/rb/simpol-jekyll-theme)

Simply run `gem install simpol-jekyll-theme` to download the latest Gem

Or:

1. Download the theme, [quick download link](https://minhaskamal.github.io/DownGit/#/home?url=https://github.com/scottmathson/simpol-theme/tree/master/)
2. Install bundler with `$ gem install bundler`
3. Install gems with `$ bundle install`
4. Run Jekyll with `$ bundle exec jekyll serve`
5. Have fun!

### Run with Docker

- Docker Installation guide can be found here: https://docs.docker.com/engine/installation

You can start the site locally by browsing to the project's directory and running `docker-compose up`.

You should see the following:

```bash
simpol-theme | Configuration file: /srv/jekyll/_config.yml
simpol-theme |             Source: /srv/jekyll
simpol-theme |        Destination: /srv/jekyll/_site
simpol-theme |  Incremental build: enabled
simpol-theme |       Generating...
simpol-theme |                     done in x.xxx seconds.
simpol-theme |  Auto-regeneration: enabled for '/srv/jekyll'
simpol-theme |     Server address: http://0.0.0.0:4000/
simpol-theme |   Server running... press ctrl-c to stop.
```

## Current Features

* Minimal design and feel.
* Simple and customizable Navigation, Index, and Footer
* *Site greeting, sub-greetings, links, logo, and more*
* All easily setup and managed in the config file
* Clean, light-weight, default layouts for pages and posts
* Search engine friendly! Optimized metadata for SEO.
* Easy, site-wide Google Analytics setup/integration
* Post categories and archive page
* Social sharing for Twitter, Facebook, and email on all posts.
* Sitemap, XML Feed, and 404 Page
* Single, yet powerful and light-weight CSS Stylesheet
* **Simple, like a website should be.**

## Credits

Simpol Theme is designed, developed, and maintained by Scott Mathson, Mathson Design Co.

The clean design and feel is inspired by other minimal themes and blogs out there.

[Scott on GitHub](https://github.com/scottmathson) | [Scott on Twitter](https://twitter.com/scottmathson)

## Resources

Check out these blog posts for help in getting started blogging with Simpol Theme. Within the posts are even more resources to help you.

* [Adding New Posts, Simpol Blogging](https://simpoltheme.com/tips/tricks/2017/04/16/writing-new-post/)
* [Markdown Overview, Simpol Blogging](https://simpoltheme.com/tips/tricks/2017/04/15/blogging-in-markdown-overview/)
* [Deploy Jekyll to GitHub Pages](https://jekyllrb.com/docs/github-pages/)


---

## License

Copyright (c) 2017 Mathson Design, LLC and Scott Mathson

Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
